
/**********************************************
 *
 *  RTC.H/PDE files supply common functions to 
 *  communicate with the DS1302 Real Time Clock
 *
 **********************************************/

// (C) 2010 by Travis Smith See licensing info in Orbduino.pde

#define RTCRSTpin  9 //DS1302 pin 5 (RST/CE)
#define RTCIOpin   8 //DS1302 pin 6 (I/O)
#define RTCSCLKpin 7 //DS1302 pin 7 (SCLK)

#define TIME_DATE_BUF_LEN 30 //buffer size needed to hold date/time strings

struct stcTime {
  char tSeconds;
  char tMinutes;
  char tHours;  
  char tAMPM;  
  char tDate;  
  char tMonth;  
  char tDayofWeek;  //1-7 starting on Sun
  char tYear;  
};

struct stcHourMin {
  char tMinutes;
  char tHours;  
  char tAMPM;  
};

enum enuAMPM {
  AMval,
  PMval,
};

const char strAMPM[2][3] = {
  "AM",
  "PM"
};

const char strDays[7][5] = {
  "Sun ",
  "Mon ",
  "Tues",
  "Wed ",
  "Thur",
  "Fri ",
  "Sat "
};

//Function prototypes:
void RTCinit();
void SetTime(stcTime myTime);
void GetTime(stcTime *pmyTime);
void GetDateTimeStr(char *cpBuf);
int BCDtoINT(int BCDval);
int INTtoBCD(int INTval);
void ByteOut(unsigned char ToSend);
unsigned char ByteIn();

